org.apache.hc.client5.http.impl

## Class DefaultClientConnectionReuseStrategy

- java.lang.Object
- - org.apache.hc.core5.http.impl.DefaultConnectionReuseStrategy
  - - org.apache.hc.client5.http.impl.DefaultClientConnectionReuseStrategy

- All Implemented Interfaces:
    org.apache.hc.core5.http.ConnectionReuseStrategy

      @Contract(threading=STATELESS)
      public class DefaultClientConnectionReuseStrategy
      extends org.apache.hc.core5.http.impl.DefaultConnectionReuseStrategy

  Extension of core `DefaultConnectionReuseStrategy` that treats CONNECT method exchanges involved in proxy tunnelling as a special case.
  Since:
    5.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultClientConnectionReuseStrategy` | `INSTANCE` Default instance of `DefaultClientConnectionReuseStrategy`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientConnectionReuseStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `keepAlive(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultClientConnectionReuseStrategy INSTANCE

      Default instance of `DefaultClientConnectionReuseStrategy`.

  - ### Constructor Detail

    - #### DefaultClientConnectionReuseStrategy

          public DefaultClientConnectionReuseStrategy()

  - ### Method Detail

    - #### keepAlive

          public boolean keepAlive(org.apache.hc.core5.http.HttpRequest request,
                                   org.apache.hc.core5.http.HttpResponse response,
                                   org.apache.hc.core5.http.protocol.HttpContext context)

      Specified by:
        `keepAlive` in interface `org.apache.hc.core5.http.ConnectionReuseStrategy`
      Overrides:
        `keepAlive` in class `org.apache.hc.core5.http.impl.DefaultConnectionReuseStrategy`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.